OpenJPEG: query_parser.h File Reference

OpenJPEG 2.4.0

Data Structures | Macros | Typedefs | Enumerations | Functions
query_parser.h File Reference
`#include "opj_includes.h"`

Go to the source code of this file.

## Data Structures
struct | query_param
| Query parameters. More...

## Macros
#define | MAX_NUMOFBOX 10
| maximum number of meta request box More...

## Typedefs
typedef enum cnew_transport | cnew_transport_t
| cnew aux transport name More...
typedef enum image_return | image_return_t
| image return type More...
typedef struct query_param | query_param_t
| Query parameters. More...

## Enumerations
enum | cnew_transport { non, http, tcp, udp }
| cnew aux transport name More...
enum | image_return { JPPstream, JPTstream, UNKNOWN = -1 }
| image return type More...

## Functions
query_param_t * | parse_query (const char *query_string)
| parse query More...
void | print_queryparam (query_param_t query_param)
| print query parameters More...
void | delete_query (query_param_t **query)
| delete query More...

## Macro Definition Documentation

## ◆ MAX_NUMOFBOX

#define MAX_NUMOFBOX 10

maximum number of meta request box

## Typedef Documentation

## ◆ cnew_transport_t

typedef enum cnew_transport cnew_transport_t

cnew aux transport name

## ◆ image_return_t

typedef enum image_return image_return_t

image return type

## ◆ query_param_t

typedef struct query_param query_param_t

Query parameters.

## Enumeration Type Documentation

## ◆ cnew_transport

enum cnew_transport

cnew aux transport name

Enumerator
non |
http |
tcp |
udp |

## ◆ image_return

enum image_return

image return type

Enumerator
JPPstream |
JPTstream |
UNKNOWN |

## Function Documentation

## ◆ delete_query()

void delete_query | ( | query_param_t ** | query | ) |

delete query

Parameters

  [in] | query | address of the deleting query pointer

References opj_free().

## ◆ parse_query()

query_param_t* parse_query | ( | const char * | query_string | ) |

parse query

Parameters

  [in] | query_string | request query string

Returns
  pointer to query parameters

References query_param::box_type, query_param::cid, query_param::cnew, query_param::fx, query_param::fy, get_fieldparam(), get_initquery(), http, JPPstream, JPTstream, query_param::layers, query_param::len, MAX_LENOFFIELDNAME, MAX_LENOFFIELDVAL, parse_cclose(), parse_comps(), parse_metareq(), query_param::return_type, query_param::rh, query_param::rw, query_param::rx, query_param::ry, query_param::target, tcp, and query_param::tid.

## ◆ print_queryparam()

void print_queryparam | ( | query_param_t | query_param | ) |

print query parameters

Parameters

  [in] | query_param | query parameters

References query_param::a, query_param::box_type, query_param::cclose, query_param::cid, query_param::cnew, query_param::comps, query_param::fx, query_param::fy, query_param::g, query_param::lastcomp, query_param::layers, query_param::len, query_param::limit, logstream, query_param::max_depth, MAX_NUMOFBOX, query_param::metadata_only, query_param::numOfcclose, query_param::priority, query_param::return_type, query_param::rh, query_param::root_bin, query_param::rw, query_param::rx, query_param::ry, query_param::s, query_param::target, query_param::tid, and query_param::w.